Subject: Re: User Setup & File Operations...
From: [email-masked] (Michael Hirmke)

21 Jan 1998 04:52:39 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi Adarsh,

>HI!
>    I am a new entrant into the user group of gnu-win32 apps..So,pls bear
>with my very basic quaestions & do answer them..

First of all - you have to get Sergey's coolview from

        http://miracle.geol.msu.ru/sos/

>
>Q1: I have bash running in NT machine.How do I create a /etc/passwd &
>/etc/group files.I already have some users on the machine.Can I keep the
>same userids, or I need to create new ones??

There is a small programm called "mkgroup", which comes with the Cygnus
CDK. Just call it without parameters and it will show you its syntax.

>
>Q2: Once the users are created, what will be the login procedure ?I dont see
>any login.exe .

It is in the above mentioned coolview.

>
>Q3: I guess I can set the environment variables using the control panel "
>system" for each of the users once I am able to get /etc/passwd in place.
>Am i right?

You can do either this or create a $HOME/environment for each user.

>
>Q4: I have the basic setup running , without ofcourse a .batchrc file..
>      Now, I am trying to compile & execute a simple code using file
>operations, but I get some un-comprehendable run-time errors.Following is
>the listing of my code:
>=====================================
>#include<stdio.h>
>void main()
>{
>  FILE *fptr=NULL;
>        printf("Hi World! - This is Adarsh\n");
>  system("date");
>  fopen("Adarsh","w");

   at least

   fptr = fopen("Adarsh","w");

   but you also should check, whether the fopen succeeded or not.

>  fprintf(fptr,"HI THERE!!");
>  fflush(fptr);
>  fclose(fptr);
>}
[...]
>That's all for the moment.
>Hope u will help me out.
>
>-Adarsh Kochhar

Bye.
Michael.
--
Michael Hirmke           | Telefon +49 (911) 557999
Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
90489 Nuernberg          | E-Mail  mailto:[email-masked]
                         | WWW     http://minimike.franken.de/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".